Polymarket

List Polymarket teams

List the sports teams and fighters Polymarket has markets for.

GET/v1/polymarket/teams
1credit
x-api-keystringheader

API key (`sfk_...`)

Parameters
4
leaguestringquery

Only teams in this league, by code such as `nfl`.

pattern: ^[a-z0-9_-]{1,40}$

namestringquery

Only teams with this name.

min 1 chars · max 120 chars

limitintegerquery

Items per page, 1–100. Default: 100.

≥ 1 · ≤ 100

cursorstringquery

Pass `page.nextCursor` from the previous response to get the next page. Keep the other filters the same.

min 1 chars · max 6000 chars

Response fields
20

Endpoint-specific response payload.

datalookupStatus
string

`found` on success.

one of: found, not_found

Teams in order.

datateams[]id
integer

Team id.

datateams[]name
string

Team name.

datateams[]league
stringnullable

League code.

datateams[]abbreviation
stringnullable

Short code.

datateams[]alias
stringnullable

Short name.

datateams[]record
stringnullable

Win-loss record.

datateams[]logo
stringnullable

Logo URL.

datateams[]color
stringnullable

Team colour as a hex code.

datateams[]createdAt
stringnullable

When the team was added (ISO-8601, UTC).

datateams[]updatedAt
stringnullable

When the team was last changed (ISO-8601, UTC).

Pagination state for the current page.

datapagehasMore
boolean

Whether another page is available.

datapagenextCursor
stringnullable

Cursor to pass in the next request when more pages exist; null on the last page.

Metadata describing the request and billing outcome.

metarequestId
string

Unique request identifier for tracing this API call.

min 1 chars

metacreditsCharged
integer

Credits charged for this request.

≥ 0

metaversion
string

Public API version that served the response.

one of: v1

Code example

curl "https://api.socialfetch.dev/v1/polymarket/teams?league=nfl" \
  -H "x-api-key: YOUR_API_KEY"

Responses

Polymarket teams.